Eclipse Platform Release 3.7

## org.eclipse.swt.browser
Class TitleEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.browser.TitleEvent

All Implemented Interfaces:
  Serializable

    public class TitleEvent

extends TypedEvent

A `TitleEvent` is sent by a `Browser` to `TitleListener`'s when the title of the current document is available or when it is modified.

Since:
  3.0
See Also:
  Sample code and further information, Serialized Form

Field Summary
`String` `title` the title of the current document

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TitleEvent(Widget widget)` Constructs a new instance of this class.

Method Summary
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### title

    public String title

  the title of the current document

Constructor Detail

### TitleEvent

    public TitleEvent(Widget widget)

  Constructs a new instance of this class.

  Parameters:
    `widget` - the widget that fired the event
  Since:
    3.5

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `TypedEvent`
  Returns:
    a string representation of the event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.